Subject: RE: [XCON] Comments on draft-ietf-xcon-framework-01.txt

From: "Oscar Novo (JO/LMF)" <[email-masked]>
Date: Wed, 3 Aug 2005 11:35:51 +0200

Hi David,

I think your comments about the framework-01 doc are really good and I would like to give my opinion about some of them. In my case, I am doing my Master's thesis in Conferencing and I have had some of these questions during the last weeks.

First of all, I agree with you about the different of "Blueprint" and Template. They mean two different things and the framework is mixing both terms. The definition of Template is well defined in the Section 2, Conventions and Terminology, but Blueprint term is not well defined in any part of the framework.

About the proposes to change in Section 6.2 "Ad-hoc Example" the word "copied" for "cloned" in the next paragraph:

"The selected blueprint with its default values is copied by the client into a newly created Conference Object, ..." 

I think is very important to understand the different between clone and copy. As I understand (at least in programming is like that), clone does a shallow copy, not a deep copy. So it just returns a reference to the original copy unlike in Deep copy where a duplicate instance is created. Any changes made to the clone will be reflected in the original copy and vice versa. 

So, if you decide to write "cloned" instead of "copied" I think it is very important to specify what exactly is doing the cloning and how it works in the conference framework.

I also agree with David about the big different between the SIPPING and the XCON frameworks. One of the big different is the conference object entity, looking to the draft-ietf-sipping-conferencing-framework-05.txt no conference object is described at all. It would be nice if the authors of the frameworks iron out the major different between both frameworks.

Thanks

Oscar Novo 

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon